# BasicCommand (Slick - The 2D Library)
Date: 2013-06-03

## org.newdawn.slick.command
Class BasicCommand

    java.lang.Object
      org.newdawn.slick.command.BasicCommand

All Implemented Interfaces:
  Command

    public class BasicCommand

extends java.lang.Object
implements Command

A simple named command

Author:
  kevin

Constructor Summary
`BasicCommand(java.lang.String name)` Create a new basic command

Method Summary
`boolean` `equals(java.lang.Object other)`
`java.lang.String` `getName()` Get the name given for this basic command
`int` `hashCode()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BasicCommand

    public BasicCommand(java.lang.String name)

  Create a new basic command

  Parameters:
    `name` - The name to give this command

Method Detail

### getName

    public java.lang.String getName()

  Get the name given for this basic command

  Returns:
    The name given for this basic command

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`
  See Also:
    `Object.hashCode()`

### equals

    public boolean equals(java.lang.Object other)

  Overrides:
    `equals` in class `java.lang.Object`
  See Also:
    `Object.equals(java.lang.Object)`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`
  See Also:
    `Object.toString()`

Copyright © 2006 New Dawn Software. All Rights Reserved.